Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_TLI_Request_Queue Class Reference

Collaboration diagram for ACE_TLI_Request_Queue:

[legend]
List of all members.

## Public Methods
| ACE_TLI_Request_Queue (void)
ACE_HANDLE | open (ACE_HANDLE fd, int size)
int | close (void)
int | enqueue (const char device[], int restart, int rwflag)
int | dequeue (ACE_TLI_Request *&ptr)
int | remove (int sequence_number)
int | is_empty (void) const
int | is_full (void) const
ACE_TLI_Request * | alloc (void)
void | free (ACE_TLI_Request *node)
void | dump (void) const
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
## Private Attributes
ACE_HANDLE | handle_
int | size_
int | current_count_
ACE_TLI_Request * | base_
ACE_TLI_Request * | tail_
ACE_TLI_Request * | free_list_

## Constructor & Destructor Documentation

ACE_TLI_Request_Queue::ACE_TLI_Request_Queue | ( | void |  | ) |

## Member Function Documentation

ACE_TLI_Request * ACE_TLI_Request_Queue::alloc | ( | void |  | ) |

int ACE_TLI_Request_Queue::close | ( | void |  | ) |

int ACE_TLI_Request_Queue::dequeue | ( | ACE_TLI_Request *& | ptr | ) |

void ACE_TLI_Request_Queue::dump | ( | void |  | ) | const

int ACE_TLI_Request_Queue::enqueue | ( | const char | device[],
|  | int | restart,
|  | int | rwflag
| ) |

void ACE_TLI_Request_Queue::free | ( | ACE_TLI_Request * | node | ) |

int ACE_TLI_Request_Queue::is_empty | ( | void |  | ) | const

int ACE_TLI_Request_Queue::is_full | ( | void |  | ) | const

ACE_HANDLE ACE_TLI_Request_Queue::open | ( | ACE_HANDLE | fd,
|  | int | size
| ) |

int ACE_TLI_Request_Queue::remove | ( | int | sequence_number | ) |

## Member Data Documentation

ACE_TLI_Request_Queue::ACE_ALLOC_HOOK_DECLARE

ACE_TLI_Request* ACE_TLI_Request_Queue::base_`[private]`

int ACE_TLI_Request_Queue::current_count_`[private]`

ACE_TLI_Request* ACE_TLI_Request_Queue::free_list_`[private]`

ACE_HANDLE ACE_TLI_Request_Queue::handle_`[private]`

int ACE_TLI_Request_Queue::size_`[private]`

ACE_TLI_Request* ACE_TLI_Request_Queue::tail_`[private]`

The documentation for this class was generated from the following file:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/TLI_Acceptor.cpp